org.apache.struts2.interceptor

## Enum I18nInterceptor.Storage

- java.lang.Object
- - java.lang.Enum<I18nInterceptor.Storage>
  - - org.apache.struts2.interceptor.I18nInterceptor.Storage

- All Implemented Interfaces:
    Serializable, Comparable<I18nInterceptor.Storage>
  Enclosing class:
    I18nInterceptor

      protected static enum I18nInterceptor.Storage
      extends Enum<I18nInterceptor.Storage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT_LANGUAGE`
    `COOKIE`
    `REQUEST`
    `SESSION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I18nInterceptor.Storage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static I18nInterceptor.Storage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COOKIE

          public static final I18nInterceptor.Storage COOKIE

    - #### SESSION

          public static final I18nInterceptor.Storage SESSION

    - #### REQUEST

          public static final I18nInterceptor.Storage REQUEST

    - #### ACCEPT_LANGUAGE

          public static final I18nInterceptor.Storage ACCEPT_LANGUAGE

  - ### Method Detail

    - #### values

          public static I18nInterceptor.Storage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I18nInterceptor.Storage c : I18nInterceptor.Storage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I18nInterceptor.Storage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.